Package org.apache.wiki.htmltowiki.syntax

## Class DtDecorator

- java.lang.Object
- - org.apache.wiki.htmltowiki.syntax.DtDecorator

    public abstract class DtDecorator
    extends java.lang.Object

Translates to wiki syntax from a `DT` element.

### Field Summary

Fields
`protected XHtmlElementToWikiTranslator` `chain`
`protected java.io.PrintWriter` `out`

### Constructor Summary

Constructors
`protected` `DtDecorator​(java.io.PrintWriter out, XHtmlElementToWikiTranslator chain)`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`void` `decorate​(org.jdom2.Element e)` Translates the given XHTML element into wiki markup.
`protected abstract java.lang.String` `markupDt()` Wiki markup for a `DT` element.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### out

    protected final java.io.PrintWriter out

#### chain

    protected final XHtmlElementToWikiTranslator chain

### Constructor Detail

#### DtDecorator

    protected DtDecorator​(java.io.PrintWriter out,
                          XHtmlElementToWikiTranslator chain)

### Method Detail

#### decorate

    public void decorate​(org.jdom2.Element e)
                  throws org.jdom2.JDOMException

Translates the given XHTML element into wiki markup.

Parameters:
  `e` - XHTML element being translated.
Throws:
  `org.jdom2.JDOMException`

#### markupDt

    protected abstract java.lang.String markupDt()

Wiki markup for a `DT` element.

Returns:
  Wiki markup for a `DT` element.